Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1885228 - Create Instance of Prometheus from operator returns blank page for non cluster-admin users
Summary: Create Instance of Prometheus from operator returns blank page for non cluste...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.z
Assignee: Jon Jackson
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1885239
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-05 13:30 UTC by Jon Jackson
Modified: 2020-11-24 12:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Prometheus swagger definition contained a $ref property which could not be resolved. Consequence: A runtime error occurred on the Prometheus operand creation form Fix: Add 'definitions' property to schema returned by the 'definitionFor' helper function so that '$ref' can be resolved Result: Prometheus schema '$ref' resolves and no runtime error occurs
Clone Of: 1884613
Environment:
Last Closed: 2020-11-24 12:42:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6833 0 None closed [release-4.5] Bug 1885228: Fix runtime error for basic users creating Prometheus instance 2020-11-30 17:31:53 UTC
Red Hat Product Errata RHSA-2020:5118 0 None None None 2020-11-24 12:42:56 UTC

Description Jon Jackson 2020-10-05 13:30:35 UTC
+++ This bug was initially created as a clone of Bug #1884613 +++

Description of problem:
Normal user cannot create prometheus instances from the web console.


Version-Release number of selected component (if applicable):


How reproducible:
Always 

Steps to Reproduce:
OpenShift 4.5.6~4.5.11
1. Install Prometheus Operator from operator hub
2. Login to user account with non cluster-admin access in the project
3. Try to create an instance of prometheus CRD's in the web console (prometheus, servicemonitor, etc.)
4. Blank screen returned

Actual results:
Blank screen returned

Expected results:
It should show prometheus instance information.

Additional info:

The blank screen looks exactly the same from this bugzilla ticket(https://bugzilla.redhat.com/show_bug.cgi?id=1883679)

--- Additional comment from Jon Jackson on 2020-10-02 14:37:48 EDT ---

This is unrelated to https://bugzilla.redhat.com/show_bug.cgi?id=1883679.

This is caused by unresolved $ref properties in the Prometheus swagger definition. Fix pending.

Comment 1 Jon Jackson 2020-10-23 15:10:28 UTC
PR pending

Comment 3 Yadan Pei 2020-11-13 07:11:44 UTC
1. cluster admin user subscribe Prometheus Operator to user namespace
2. project admin user logins and create the resources operator had defined, such as Prometheus, Service Monitor, no errors and resources are created successfully

Verified on 4.5.0-0.nightly-2020-11-13-045120

Comment 6 errata-xmlrpc 2020-11-24 12:42:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.5.20 bug fix and golang security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5118


Note You need to log in before you can comment on or make changes to this bug.